xref: /freebsd/contrib/expat/tests/Makefile.in (revision 87b759f0fa1f7554d50ce640c40138512bbded44)
1# Makefile.in generated by automake 1.16.5 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18#                          __  __            _
19#                       ___\ \/ /_ __   __ _| |_
20#                      / _ \\  /| '_ \ / _` | __|
21#                     |  __//  \| |_) | (_| | |_
22#                      \___/_/\_\ .__/ \__,_|\__|
23#                               |_| XML parser
24#
25# Copyright (c) 2017-2024 Sebastian Pipping <sebastian@pipping.org>
26# Copyright (c) 2017-2022 Rhodri James <rhodri@wildebeest.org.uk>
27# Copyright (c) 2020      Jeffrey Walton <noloader@gmail.com>
28# Copyright (c) 2024      Dag-Erling Smørgrav <des@des.dev>
29# Licensed under the MIT license:
30#
31# Permission is  hereby granted,  free of charge,  to any  person obtaining
32# a  copy  of  this  software   and  associated  documentation  files  (the
33# "Software"),  to  deal in  the  Software  without restriction,  including
34# without  limitation the  rights  to use,  copy,  modify, merge,  publish,
35# distribute, sublicense, and/or sell copies of the Software, and to permit
36# persons  to whom  the Software  is  furnished to  do so,  subject to  the
37# following conditions:
38#
39# The above copyright  notice and this permission notice  shall be included
40# in all copies or substantial portions of the Software.
41#
42# THE  SOFTWARE  IS  PROVIDED  "AS  IS",  WITHOUT  WARRANTY  OF  ANY  KIND,
43# EXPRESS  OR IMPLIED,  INCLUDING  BUT  NOT LIMITED  TO  THE WARRANTIES  OF
44# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
45# NO EVENT SHALL THE AUTHORS OR  COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
46# DAMAGES OR  OTHER LIABILITY, WHETHER  IN AN  ACTION OF CONTRACT,  TORT OR
47# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
48# USE OR OTHER DEALINGS IN THE SOFTWARE.
49VPATH = @srcdir@
50am__is_gnu_make = { \
51  if test -z '$(MAKELEVEL)'; then \
52    false; \
53  elif test -n '$(MAKE_HOST)'; then \
54    true; \
55  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
56    true; \
57  else \
58    false; \
59  fi; \
60}
61am__make_running_with_option = \
62  case $${target_option-} in \
63      ?) ;; \
64      *) echo "am__make_running_with_option: internal error: invalid" \
65              "target option '$${target_option-}' specified" >&2; \
66         exit 1;; \
67  esac; \
68  has_opt=no; \
69  sane_makeflags=$$MAKEFLAGS; \
70  if $(am__is_gnu_make); then \
71    sane_makeflags=$$MFLAGS; \
72  else \
73    case $$MAKEFLAGS in \
74      *\\[\ \	]*) \
75        bs=\\; \
76        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
77          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
78    esac; \
79  fi; \
80  skip_next=no; \
81  strip_trailopt () \
82  { \
83    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
84  }; \
85  for flg in $$sane_makeflags; do \
86    test $$skip_next = yes && { skip_next=no; continue; }; \
87    case $$flg in \
88      *=*|--*) continue;; \
89        -*I) strip_trailopt 'I'; skip_next=yes;; \
90      -*I?*) strip_trailopt 'I';; \
91        -*O) strip_trailopt 'O'; skip_next=yes;; \
92      -*O?*) strip_trailopt 'O';; \
93        -*l) strip_trailopt 'l'; skip_next=yes;; \
94      -*l?*) strip_trailopt 'l';; \
95      -[dEDm]) skip_next=yes;; \
96      -[JT]) skip_next=yes;; \
97    esac; \
98    case $$flg in \
99      *$$target_option*) has_opt=yes; break;; \
100    esac; \
101  done; \
102  test $$has_opt = yes
103am__make_dryrun = (target_option=n; $(am__make_running_with_option))
104am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
105pkgdatadir = $(datadir)/@PACKAGE@
106pkgincludedir = $(includedir)/@PACKAGE@
107pkglibdir = $(libdir)/@PACKAGE@
108pkglibexecdir = $(libexecdir)/@PACKAGE@
109am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
110install_sh_DATA = $(install_sh) -c -m 644
111install_sh_PROGRAM = $(install_sh) -c
112install_sh_SCRIPT = $(install_sh) -c
113INSTALL_HEADER = $(INSTALL_DATA)
114transform = $(program_transform_name)
115NORMAL_INSTALL = :
116PRE_INSTALL = :
117POST_INSTALL = :
118NORMAL_UNINSTALL = :
119PRE_UNINSTALL = :
120POST_UNINSTALL = :
121build_triplet = @build@
122host_triplet = @host@
123check_PROGRAMS = runtests$(EXEEXT) runtests_cxx$(EXEEXT)
124TESTS = runtests$(EXEEXT) runtests_cxx$(EXEEXT)
125subdir = tests
126ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
127am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
128	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
129	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
130	$(top_srcdir)/acinclude.m4 \
131	$(top_srcdir)/conftools/ax-require-defined.m4 \
132	$(top_srcdir)/conftools/ax-check-compile-flag.m4 \
133	$(top_srcdir)/conftools/ax-check-link-flag.m4 \
134	$(top_srcdir)/conftools/ax-append-flag.m4 \
135	$(top_srcdir)/conftools/ax-append-compile-flags.m4 \
136	$(top_srcdir)/conftools/ax-append-link-flags.m4 \
137	$(top_srcdir)/conftools/expatcfg-compiler-supports-visibility.m4 \
138	$(top_srcdir)/conftools/ax-cxx-compile-stdcxx.m4 \
139	$(top_srcdir)/conftools/ax-cxx-compile-stdcxx-11.m4 \
140	$(top_srcdir)/configure.ac
141am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
142	$(ACLOCAL_M4)
143DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
144mkinstalldirs = $(install_sh) -d
145CONFIG_HEADER = $(top_builddir)/expat_config.h
146CONFIG_CLEAN_FILES =
147CONFIG_CLEAN_VPATH_FILES =
148am_runtests_OBJECTS = acc_tests.$(OBJEXT) alloc_tests.$(OBJEXT) \
149	basic_tests.$(OBJEXT) chardata.$(OBJEXT) common.$(OBJEXT) \
150	dummy.$(OBJEXT) handlers.$(OBJEXT) memcheck.$(OBJEXT) \
151	minicheck.$(OBJEXT) misc_tests.$(OBJEXT) ns_tests.$(OBJEXT) \
152	nsalloc_tests.$(OBJEXT) runtests.$(OBJEXT) \
153	structdata.$(OBJEXT)
154runtests_OBJECTS = $(am_runtests_OBJECTS)
155runtests_DEPENDENCIES = ../lib/libtestpat.la
156AM_V_lt = $(am__v_lt_@AM_V@)
157am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
158am__v_lt_0 = --silent
159am__v_lt_1 =
160runtests_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
161	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
162	$(runtests_LDFLAGS) $(LDFLAGS) -o $@
163am_runtests_cxx_OBJECTS = acc_tests_cxx.$(OBJEXT) \
164	alloc_tests_cxx.$(OBJEXT) basic_tests_cxx.$(OBJEXT) \
165	chardata_cxx.$(OBJEXT) common_cxx.$(OBJEXT) \
166	dummy_cxx.$(OBJEXT) handlers_cxx.$(OBJEXT) \
167	memcheck_cxx.$(OBJEXT) minicheck_cxx.$(OBJEXT) \
168	misc_tests_cxx.$(OBJEXT) nsalloc_tests_cxx.$(OBJEXT) \
169	ns_tests_cxx.$(OBJEXT) runtests_cxx.$(OBJEXT) \
170	structdata_cxx.$(OBJEXT)
171runtests_cxx_OBJECTS = $(am_runtests_cxx_OBJECTS)
172runtests_cxx_DEPENDENCIES = ../lib/libtestpat.la
173runtests_cxx_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
174	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
175	$(CXXFLAGS) $(runtests_cxx_LDFLAGS) $(LDFLAGS) -o $@
176AM_V_P = $(am__v_P_@AM_V@)
177am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
178am__v_P_0 = false
179am__v_P_1 = :
180AM_V_GEN = $(am__v_GEN_@AM_V@)
181am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
182am__v_GEN_0 = @echo "  GEN     " $@;
183am__v_GEN_1 =
184AM_V_at = $(am__v_at_@AM_V@)
185am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
186am__v_at_0 = @
187am__v_at_1 =
188DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
189depcomp = $(SHELL) $(top_srcdir)/conftools/depcomp
190am__maybe_remake_depfiles = depfiles
191am__depfiles_remade = ./$(DEPDIR)/acc_tests.Po \
192	./$(DEPDIR)/acc_tests_cxx.Po ./$(DEPDIR)/alloc_tests.Po \
193	./$(DEPDIR)/alloc_tests_cxx.Po ./$(DEPDIR)/basic_tests.Po \
194	./$(DEPDIR)/basic_tests_cxx.Po ./$(DEPDIR)/chardata.Po \
195	./$(DEPDIR)/chardata_cxx.Po ./$(DEPDIR)/common.Po \
196	./$(DEPDIR)/common_cxx.Po ./$(DEPDIR)/dummy.Po \
197	./$(DEPDIR)/dummy_cxx.Po ./$(DEPDIR)/handlers.Po \
198	./$(DEPDIR)/handlers_cxx.Po ./$(DEPDIR)/memcheck.Po \
199	./$(DEPDIR)/memcheck_cxx.Po ./$(DEPDIR)/minicheck.Po \
200	./$(DEPDIR)/minicheck_cxx.Po ./$(DEPDIR)/misc_tests.Po \
201	./$(DEPDIR)/misc_tests_cxx.Po ./$(DEPDIR)/ns_tests.Po \
202	./$(DEPDIR)/ns_tests_cxx.Po ./$(DEPDIR)/nsalloc_tests.Po \
203	./$(DEPDIR)/nsalloc_tests_cxx.Po ./$(DEPDIR)/runtests.Po \
204	./$(DEPDIR)/runtests_cxx.Po ./$(DEPDIR)/structdata.Po \
205	./$(DEPDIR)/structdata_cxx.Po
206am__mv = mv -f
207COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
208	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
209LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
210	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
211	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
212	$(AM_CFLAGS) $(CFLAGS)
213AM_V_CC = $(am__v_CC_@AM_V@)
214am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
215am__v_CC_0 = @echo "  CC      " $@;
216am__v_CC_1 =
217CCLD = $(CC)
218LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
219	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
220	$(AM_LDFLAGS) $(LDFLAGS) -o $@
221AM_V_CCLD = $(am__v_CCLD_@AM_V@)
222am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
223am__v_CCLD_0 = @echo "  CCLD    " $@;
224am__v_CCLD_1 =
225CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
226	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
227LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
228	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
229	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
230	$(AM_CXXFLAGS) $(CXXFLAGS)
231AM_V_CXX = $(am__v_CXX_@AM_V@)
232am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
233am__v_CXX_0 = @echo "  CXX     " $@;
234am__v_CXX_1 =
235CXXLD = $(CXX)
236CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
237	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
238	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
239AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
240am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
241am__v_CXXLD_0 = @echo "  CXXLD   " $@;
242am__v_CXXLD_1 =
243SOURCES = $(runtests_SOURCES) $(runtests_cxx_SOURCES)
244DIST_SOURCES = $(runtests_SOURCES) $(runtests_cxx_SOURCES)
245RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
246	ctags-recursive dvi-recursive html-recursive info-recursive \
247	install-data-recursive install-dvi-recursive \
248	install-exec-recursive install-html-recursive \
249	install-info-recursive install-pdf-recursive \
250	install-ps-recursive install-recursive installcheck-recursive \
251	installdirs-recursive pdf-recursive ps-recursive \
252	tags-recursive uninstall-recursive
253am__can_run_installinfo = \
254  case $$AM_UPDATE_INFO_DIR in \
255    n|no|NO) false;; \
256    *) (install-info --version) >/dev/null 2>&1;; \
257  esac
258RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
259  distclean-recursive maintainer-clean-recursive
260am__recursive_targets = \
261  $(RECURSIVE_TARGETS) \
262  $(RECURSIVE_CLEAN_TARGETS) \
263  $(am__extra_recursive_targets)
264AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
265	check recheck distdir distdir-am
266am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
267# Read a list of newline-separated strings from the standard input,
268# and print each of them once, without duplicates.  Input order is
269# *not* preserved.
270am__uniquify_input = $(AWK) '\
271  BEGIN { nonempty = 0; } \
272  { items[$$0] = 1; nonempty = 1; } \
273  END { if (nonempty) { for (i in items) print i; }; } \
274'
275# Make sure the list of sources is unique.  This is necessary because,
276# e.g., the same source file might be shared among _SOURCES variables
277# for different programs/libraries.
278am__define_uniq_tagged_files = \
279  list='$(am__tagged_files)'; \
280  unique=`for i in $$list; do \
281    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
282  done | $(am__uniquify_input)`
283am__tty_colors_dummy = \
284  mgn= red= grn= lgn= blu= brg= std=; \
285  am__color_tests=no
286am__tty_colors = { \
287  $(am__tty_colors_dummy); \
288  if test "X$(AM_COLOR_TESTS)" = Xno; then \
289    am__color_tests=no; \
290  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
291    am__color_tests=yes; \
292  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
293    am__color_tests=yes; \
294  fi; \
295  if test $$am__color_tests = yes; then \
296    red=''; \
297    grn=''; \
298    lgn=''; \
299    blu=''; \
300    mgn=''; \
301    brg=''; \
302    std=''; \
303  fi; \
304}
305am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
306am__vpath_adj = case $$p in \
307    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
308    *) f=$$p;; \
309  esac;
310am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
311am__install_max = 40
312am__nobase_strip_setup = \
313  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
314am__nobase_strip = \
315  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
316am__nobase_list = $(am__nobase_strip_setup); \
317  for p in $$list; do echo "$$p $$p"; done | \
318  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
319  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
320    if (++n[$$2] == $(am__install_max)) \
321      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
322    END { for (dir in files) print dir, files[dir] }'
323am__base_list = \
324  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
325  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
326am__uninstall_files_from_dir = { \
327  test -z "$$files" \
328    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
329    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
330         $(am__cd) "$$dir" && rm -f $$files; }; \
331  }
332am__recheck_rx = ^[ 	]*:recheck:[ 	]*
333am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
334am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
335# A command that, given a newline-separated list of test names on the
336# standard input, print the name of the tests that are to be re-run
337# upon "make recheck".
338am__list_recheck_tests = $(AWK) '{ \
339  recheck = 1; \
340  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
341    { \
342      if (rc < 0) \
343        { \
344          if ((getline line2 < ($$0 ".log")) < 0) \
345	    recheck = 0; \
346          break; \
347        } \
348      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
349        { \
350          recheck = 0; \
351          break; \
352        } \
353      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
354        { \
355          break; \
356        } \
357    }; \
358  if (recheck) \
359    print $$0; \
360  close ($$0 ".trs"); \
361  close ($$0 ".log"); \
362}'
363# A command that, given a newline-separated list of test names on the
364# standard input, create the global log from their .trs and .log files.
365am__create_global_log = $(AWK) ' \
366function fatal(msg) \
367{ \
368  print "fatal: making $@: " msg | "cat >&2"; \
369  exit 1; \
370} \
371function rst_section(header) \
372{ \
373  print header; \
374  len = length(header); \
375  for (i = 1; i <= len; i = i + 1) \
376    printf "="; \
377  printf "\n\n"; \
378} \
379{ \
380  copy_in_global_log = 1; \
381  global_test_result = "RUN"; \
382  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
383    { \
384      if (rc < 0) \
385         fatal("failed to read from " $$0 ".trs"); \
386      if (line ~ /$(am__global_test_result_rx)/) \
387        { \
388          sub("$(am__global_test_result_rx)", "", line); \
389          sub("[ 	]*$$", "", line); \
390          global_test_result = line; \
391        } \
392      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
393        copy_in_global_log = 0; \
394    }; \
395  if (copy_in_global_log) \
396    { \
397      rst_section(global_test_result ": " $$0); \
398      while ((rc = (getline line < ($$0 ".log"))) != 0) \
399      { \
400        if (rc < 0) \
401          fatal("failed to read from " $$0 ".log"); \
402        print line; \
403      }; \
404      printf "\n"; \
405    }; \
406  close ($$0 ".trs"); \
407  close ($$0 ".log"); \
408}'
409# Restructured Text title.
410am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
411# Solaris 10 'make', and several other traditional 'make' implementations,
412# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
413# by disabling -e (using the XSI extension "set +e") if it's set.
414am__sh_e_setup = case $$- in *e*) set +e;; esac
415# Default flags passed to test drivers.
416am__common_driver_flags = \
417  --color-tests "$$am__color_tests" \
418  --enable-hard-errors "$$am__enable_hard_errors" \
419  --expect-failure "$$am__expect_failure"
420# To be inserted before the command running the test.  Creates the
421# directory for the log if needed.  Stores in $dir the directory
422# containing $f, in $tst the test, in $log the log.  Executes the
423# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
424# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
425# will run the test scripts (or their associated LOG_COMPILER, if
426# thy have one).
427am__check_pre = \
428$(am__sh_e_setup);					\
429$(am__vpath_adj_setup) $(am__vpath_adj)			\
430$(am__tty_colors);					\
431srcdir=$(srcdir); export srcdir;			\
432case "$@" in						\
433  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
434    *) am__odir=.;; 					\
435esac;							\
436test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
437  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
438if test -f "./$$f"; then dir=./;			\
439elif test -f "$$f"; then dir=;				\
440else dir="$(srcdir)/"; fi;				\
441tst=$$dir$$f; log='$@'; 				\
442if test -n '$(DISABLE_HARD_ERRORS)'; then		\
443  am__enable_hard_errors=no; 				\
444else							\
445  am__enable_hard_errors=yes; 				\
446fi; 							\
447case " $(XFAIL_TESTS) " in				\
448  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
449    am__expect_failure=yes;;				\
450  *)							\
451    am__expect_failure=no;;				\
452esac; 							\
453$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
454# A shell command to get the names of the tests scripts with any registered
455# extension removed (i.e., equivalently, the names of the test logs, with
456# the '.log' extension removed).  The result is saved in the shell variable
457# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
458# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
459# since that might cause problem with VPATH rewrites for suffix-less tests.
460# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
461am__set_TESTS_bases = \
462  bases='$(TEST_LOGS)'; \
463  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
464  bases=`echo $$bases`
465AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
466RECHECK_LOGS = $(TEST_LOGS)
467TEST_SUITE_LOG = test-suite.log
468TEST_EXTENSIONS = @EXEEXT@ .test
469LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
470am__set_b = \
471  case '$@' in \
472    */*) \
473      case '$*' in \
474        */*) b='$*';; \
475          *) b=`echo '$@' | sed 's/\.log$$//'`; \
476       esac;; \
477    *) \
478      b='$*';; \
479  esac
480am__test_logs1 = $(TESTS:=.log)
481am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
482TEST_LOGS = $(am__test_logs2:.test.log=.log)
483TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/conftools/test-driver
484TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
485	$(TEST_LOG_FLAGS)
486DIST_SUBDIRS = $(SUBDIRS)
487am__DIST_COMMON = $(srcdir)/Makefile.in \
488	$(top_srcdir)/conftools/depcomp \
489	$(top_srcdir)/conftools/test-driver README.md
490DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
491am__relativize = \
492  dir0=`pwd`; \
493  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
494  sed_rest='s,^[^/]*/*,,'; \
495  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
496  sed_butlast='s,/*[^/]*$$,,'; \
497  while test -n "$$dir1"; do \
498    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
499    if test "$$first" != "."; then \
500      if test "$$first" = ".."; then \
501        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
502        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
503      else \
504        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
505        if test "$$first2" = "$$first"; then \
506          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
507        else \
508          dir2="../$$dir2"; \
509        fi; \
510        dir0="$$dir0"/"$$first"; \
511      fi; \
512    fi; \
513    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
514  done; \
515  reldir="$$dir2"
516ACLOCAL = @ACLOCAL@
517AMTAR = @AMTAR@
518AM_CFLAGS = @AM_CFLAGS@
519AM_CPPFLAGS = @AM_CPPFLAGS@ -I$(srcdir)/../lib -DXML_TESTING
520AM_CXXFLAGS = @AM_CXXFLAGS@
521AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
522AM_LDFLAGS = @AM_LDFLAGS@
523AR = @AR@
524AS = @AS@
525AUTOCONF = @AUTOCONF@
526AUTOHEADER = @AUTOHEADER@
527AUTOMAKE = @AUTOMAKE@
528AWK = @AWK@
529CC = @CC@
530CCDEPMODE = @CCDEPMODE@
531CFLAGS = @CFLAGS@
532CMAKE_SHARED_LIBRARY_PREFIX = @CMAKE_SHARED_LIBRARY_PREFIX@
533CPPFLAGS = @CPPFLAGS@
534CSCOPE = @CSCOPE@
535CTAGS = @CTAGS@
536CXX = @CXX@
537CXXCPP = @CXXCPP@
538CXXDEPMODE = @CXXDEPMODE@
539CXXFLAGS = @CXXFLAGS@
540CYGPATH_W = @CYGPATH_W@
541DEFS = @DEFS@
542DEPDIR = @DEPDIR@
543DLLTOOL = @DLLTOOL@
544DOCBOOK_TO_MAN = @DOCBOOK_TO_MAN@
545DSYMUTIL = @DSYMUTIL@
546DUMPBIN = @DUMPBIN@
547ECHO_C = @ECHO_C@
548ECHO_N = @ECHO_N@
549ECHO_T = @ECHO_T@
550EGREP = @EGREP@
551ETAGS = @ETAGS@
552EXEEXT = @EXEEXT@
553EXPAT_ATTR_INFO = @EXPAT_ATTR_INFO@
554EXPAT_CHAR_TYPE = @EXPAT_CHAR_TYPE@
555EXPAT_CONTEXT_BYTES = @EXPAT_CONTEXT_BYTES@
556EXPAT_DTD = @EXPAT_DTD@
557EXPAT_LARGE_SIZE = @EXPAT_LARGE_SIZE@
558EXPAT_MIN_SIZE = @EXPAT_MIN_SIZE@
559EXPAT_NS = @EXPAT_NS@
560FGREP = @FGREP@
561FILECMD = @FILECMD@
562FILEMAP = @FILEMAP@
563GREP = @GREP@
564HAVE_CXX11 = @HAVE_CXX11@
565INSTALL = @INSTALL@
566INSTALL_DATA = @INSTALL_DATA@
567INSTALL_PROGRAM = @INSTALL_PROGRAM@
568INSTALL_SCRIPT = @INSTALL_SCRIPT@
569INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
570LD = @LD@
571LDFLAGS = @LDFLAGS@
572LIBAGE = @LIBAGE@
573LIBCURRENT = @LIBCURRENT@
574LIBDIR_BASENAME = @LIBDIR_BASENAME@
575LIBM = @LIBM@
576LIBOBJS = @LIBOBJS@
577LIBREVISION = @LIBREVISION@
578LIBS = @LIBS@
579LIBTOOL = @LIBTOOL@
580LIPO = @LIPO@
581LN_S = @LN_S@
582LTLIBOBJS = @LTLIBOBJS@
583LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
584MAINT = @MAINT@
585MAKEINFO = @MAKEINFO@
586MANIFEST_TOOL = @MANIFEST_TOOL@
587MKDIR_P = @MKDIR_P@
588NM = @NM@
589NMEDIT = @NMEDIT@
590OBJDUMP = @OBJDUMP@
591OBJEXT = @OBJEXT@
592OTOOL = @OTOOL@
593OTOOL64 = @OTOOL64@
594PACKAGE = @PACKAGE@
595PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
596PACKAGE_NAME = @PACKAGE_NAME@
597PACKAGE_STRING = @PACKAGE_STRING@
598PACKAGE_TARNAME = @PACKAGE_TARNAME@
599PACKAGE_URL = @PACKAGE_URL@
600PACKAGE_VERSION = @PACKAGE_VERSION@
601PATH_SEPARATOR = @PATH_SEPARATOR@
602RANLIB = @RANLIB@
603SED = @SED@
604SET_MAKE = @SET_MAKE@
605SHELL = @SHELL@
606SIZEOF_VOID_P = @SIZEOF_VOID_P@
607SO_MAJOR = @SO_MAJOR@
608SO_MINOR = @SO_MINOR@
609SO_PATCH = @SO_PATCH@
610STRIP = @STRIP@
611VERSION = @VERSION@
612abs_builddir = @abs_builddir@
613abs_srcdir = @abs_srcdir@
614abs_top_builddir = @abs_top_builddir@
615abs_top_srcdir = @abs_top_srcdir@
616ac_ct_AR = @ac_ct_AR@
617ac_ct_CC = @ac_ct_CC@
618ac_ct_CXX = @ac_ct_CXX@
619ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
620am__include = @am__include@
621am__leading_dot = @am__leading_dot@
622am__quote = @am__quote@
623am__tar = @am__tar@
624am__untar = @am__untar@
625bindir = @bindir@
626build = @build@
627build_alias = @build_alias@
628build_cpu = @build_cpu@
629build_os = @build_os@
630build_vendor = @build_vendor@
631builddir = @builddir@
632datadir = @datadir@
633datarootdir = @datarootdir@
634docdir = @docdir@
635dvidir = @dvidir@
636exec_prefix = @exec_prefix@
637host = @host@
638host_alias = @host_alias@
639host_cpu = @host_cpu@
640host_os = @host_os@
641host_vendor = @host_vendor@
642htmldir = @htmldir@
643includedir = @includedir@
644infodir = @infodir@
645install_sh = @install_sh@
646libdir = @libdir@
647libexecdir = @libexecdir@
648localedir = @localedir@
649localstatedir = @localstatedir@
650mandir = @mandir@
651mkdir_p = @mkdir_p@
652oldincludedir = @oldincludedir@
653pdfdir = @pdfdir@
654prefix = @prefix@
655program_transform_name = @program_transform_name@
656psdir = @psdir@
657runstatedir = @runstatedir@
658sbindir = @sbindir@
659sharedstatedir = @sharedstatedir@
660srcdir = @srcdir@
661sysconfdir = @sysconfdir@
662target_alias = @target_alias@
663top_build_prefix = @top_build_prefix@
664top_builddir = @top_builddir@
665top_srcdir = @top_srcdir@
666SUBDIRS = . benchmark
667
668# To support MinGW and Non-MinGW at the same time:
669LOG_DRIVER = $(srcdir)/../test-driver-wrapper.sh
670runtests_SOURCES = \
671    acc_tests.c \
672    alloc_tests.c \
673    basic_tests.c \
674    chardata.c \
675    common.c \
676    dummy.c \
677    handlers.c \
678    memcheck.c \
679    minicheck.c \
680    misc_tests.c \
681    ns_tests.c \
682    nsalloc_tests.c \
683    runtests.c \
684    structdata.c
685
686runtests_cxx_SOURCES = \
687    acc_tests_cxx.cpp \
688    alloc_tests_cxx.cpp \
689    basic_tests_cxx.cpp \
690    chardata_cxx.cpp \
691    common_cxx.cpp \
692    dummy_cxx.cpp \
693    handlers_cxx.cpp \
694    memcheck_cxx.cpp \
695    minicheck_cxx.cpp \
696    misc_tests_cxx.cpp \
697    nsalloc_tests_cxx.cpp \
698    ns_tests_cxx.cpp \
699    runtests_cxx.cpp \
700    structdata_cxx.cpp
701
702runtests_LDADD = ../lib/libtestpat.la
703runtests_cxx_LDADD = ../lib/libtestpat.la
704runtests_LDFLAGS = @AM_LDFLAGS@ @LIBM@
705runtests_cxx_LDFLAGS = @AM_LDFLAGS@ @LIBM@
706EXTRA_DIST = \
707    acc_tests.h \
708    alloc_tests.h \
709    basic_tests.h \
710    chardata.h \
711    common.h \
712    dummy.h \
713    handlers.h \
714    misc_tests.h \
715    ns_tests.h \
716    nsalloc_tests.h \
717    structdata.h \
718    minicheck.h \
719    memcheck.h \
720    README.md \
721    udiffer.py \
722    xmltest.log.expected \
723    xmltest.sh
724
725all: all-recursive
726
727.SUFFIXES:
728.SUFFIXES: .c .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
729$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
730	@for dep in $?; do \
731	  case '$(am__configure_deps)' in \
732	    *$$dep*) \
733	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
734	        && { if test -f $@; then exit 0; else break; fi; }; \
735	      exit 1;; \
736	  esac; \
737	done; \
738	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
739	$(am__cd) $(top_srcdir) && \
740	  $(AUTOMAKE) --gnu tests/Makefile
741Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
742	@case '$?' in \
743	  *config.status*) \
744	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
745	  *) \
746	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
747	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
748	esac;
749
750$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
751	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
752
753$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
754	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
755$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
756	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
757$(am__aclocal_m4_deps):
758
759clean-checkPROGRAMS:
760	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
761	echo " rm -f" $$list; \
762	rm -f $$list || exit $$?; \
763	test -n "$(EXEEXT)" || exit 0; \
764	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
765	echo " rm -f" $$list; \
766	rm -f $$list
767
768runtests$(EXEEXT): $(runtests_OBJECTS) $(runtests_DEPENDENCIES) $(EXTRA_runtests_DEPENDENCIES)
769	@rm -f runtests$(EXEEXT)
770	$(AM_V_CCLD)$(runtests_LINK) $(runtests_OBJECTS) $(runtests_LDADD) $(LIBS)
771
772runtests_cxx$(EXEEXT): $(runtests_cxx_OBJECTS) $(runtests_cxx_DEPENDENCIES) $(EXTRA_runtests_cxx_DEPENDENCIES)
773	@rm -f runtests_cxx$(EXEEXT)
774	$(AM_V_CXXLD)$(runtests_cxx_LINK) $(runtests_cxx_OBJECTS) $(runtests_cxx_LDADD) $(LIBS)
775
776mostlyclean-compile:
777	-rm -f *.$(OBJEXT)
778
779distclean-compile:
780	-rm -f *.tab.c
781
782@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/acc_tests.Po@am__quote@ # am--include-marker
783@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/acc_tests_cxx.Po@am__quote@ # am--include-marker
784@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc_tests.Po@am__quote@ # am--include-marker
785@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc_tests_cxx.Po@am__quote@ # am--include-marker
786@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_tests.Po@am__quote@ # am--include-marker
787@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_tests_cxx.Po@am__quote@ # am--include-marker
788@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chardata.Po@am__quote@ # am--include-marker
789@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chardata_cxx.Po@am__quote@ # am--include-marker
790@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/common.Po@am__quote@ # am--include-marker
791@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/common_cxx.Po@am__quote@ # am--include-marker
792@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dummy.Po@am__quote@ # am--include-marker
793@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dummy_cxx.Po@am__quote@ # am--include-marker
794@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/handlers.Po@am__quote@ # am--include-marker
795@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/handlers_cxx.Po@am__quote@ # am--include-marker
796@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/memcheck.Po@am__quote@ # am--include-marker
797@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/memcheck_cxx.Po@am__quote@ # am--include-marker
798@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/minicheck.Po@am__quote@ # am--include-marker
799@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/minicheck_cxx.Po@am__quote@ # am--include-marker
800@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/misc_tests.Po@am__quote@ # am--include-marker
801@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/misc_tests_cxx.Po@am__quote@ # am--include-marker
802@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ns_tests.Po@am__quote@ # am--include-marker
803@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ns_tests_cxx.Po@am__quote@ # am--include-marker
804@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nsalloc_tests.Po@am__quote@ # am--include-marker
805@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nsalloc_tests_cxx.Po@am__quote@ # am--include-marker
806@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtests.Po@am__quote@ # am--include-marker
807@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtests_cxx.Po@am__quote@ # am--include-marker
808@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/structdata.Po@am__quote@ # am--include-marker
809@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/structdata_cxx.Po@am__quote@ # am--include-marker
810
811$(am__depfiles_remade):
812	@$(MKDIR_P) $(@D)
813	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
814
815am--depfiles: $(am__depfiles_remade)
816
817.c.o:
818@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
819@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
820@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
821@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
822@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
823
824.c.obj:
825@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
826@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
827@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
828@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
829@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
830
831.c.lo:
832@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
833@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
834@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
835@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
836@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
837
838.cpp.o:
839@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
840@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
841@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
842@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
843@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
844
845.cpp.obj:
846@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
847@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
848@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
849@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
850@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
851
852.cpp.lo:
853@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
854@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
855@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
856@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
857@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
858
859mostlyclean-libtool:
860	-rm -f *.lo
861
862clean-libtool:
863	-rm -rf .libs _libs
864
865# This directory's subdirectories are mostly independent; you can cd
866# into them and run 'make' without going through this Makefile.
867# To change the values of 'make' variables: instead of editing Makefiles,
868# (1) if the variable is set in 'config.status', edit 'config.status'
869#     (which will cause the Makefiles to be regenerated when you run 'make');
870# (2) otherwise, pass the desired values on the 'make' command line.
871$(am__recursive_targets):
872	@fail=; \
873	if $(am__make_keepgoing); then \
874	  failcom='fail=yes'; \
875	else \
876	  failcom='exit 1'; \
877	fi; \
878	dot_seen=no; \
879	target=`echo $@ | sed s/-recursive//`; \
880	case "$@" in \
881	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
882	  *) list='$(SUBDIRS)' ;; \
883	esac; \
884	for subdir in $$list; do \
885	  echo "Making $$target in $$subdir"; \
886	  if test "$$subdir" = "."; then \
887	    dot_seen=yes; \
888	    local_target="$$target-am"; \
889	  else \
890	    local_target="$$target"; \
891	  fi; \
892	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
893	  || eval $$failcom; \
894	done; \
895	if test "$$dot_seen" = "no"; then \
896	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
897	fi; test -z "$$fail"
898
899ID: $(am__tagged_files)
900	$(am__define_uniq_tagged_files); mkid -fID $$unique
901tags: tags-recursive
902TAGS: tags
903
904tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
905	set x; \
906	here=`pwd`; \
907	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
908	  include_option=--etags-include; \
909	  empty_fix=.; \
910	else \
911	  include_option=--include; \
912	  empty_fix=; \
913	fi; \
914	list='$(SUBDIRS)'; for subdir in $$list; do \
915	  if test "$$subdir" = .; then :; else \
916	    test ! -f $$subdir/TAGS || \
917	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
918	  fi; \
919	done; \
920	$(am__define_uniq_tagged_files); \
921	shift; \
922	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
923	  test -n "$$unique" || unique=$$empty_fix; \
924	  if test $$# -gt 0; then \
925	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
926	      "$$@" $$unique; \
927	  else \
928	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
929	      $$unique; \
930	  fi; \
931	fi
932ctags: ctags-recursive
933
934CTAGS: ctags
935ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
936	$(am__define_uniq_tagged_files); \
937	test -z "$(CTAGS_ARGS)$$unique" \
938	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
939	     $$unique
940
941GTAGS:
942	here=`$(am__cd) $(top_builddir) && pwd` \
943	  && $(am__cd) $(top_srcdir) \
944	  && gtags -i $(GTAGS_ARGS) "$$here"
945cscopelist: cscopelist-recursive
946
947cscopelist-am: $(am__tagged_files)
948	list='$(am__tagged_files)'; \
949	case "$(srcdir)" in \
950	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
951	  *) sdir=$(subdir)/$(srcdir) ;; \
952	esac; \
953	for i in $$list; do \
954	  if test -f "$$i"; then \
955	    echo "$(subdir)/$$i"; \
956	  else \
957	    echo "$$sdir/$$i"; \
958	  fi; \
959	done >> $(top_builddir)/cscope.files
960
961distclean-tags:
962	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
963
964# Recover from deleted '.trs' file; this should ensure that
965# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
966# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
967# to avoid problems with "make -n".
968.log.trs:
969	rm -f $< $@
970	$(MAKE) $(AM_MAKEFLAGS) $<
971
972# Leading 'am--fnord' is there to ensure the list of targets does not
973# expand to empty, as could happen e.g. with make check TESTS=''.
974am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
975am--force-recheck:
976	@:
977
978$(TEST_SUITE_LOG): $(TEST_LOGS)
979	@$(am__set_TESTS_bases); \
980	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
981	redo_bases=`for i in $$bases; do \
982	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
983	            done`; \
984	if test -n "$$redo_bases"; then \
985	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
986	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
987	  if $(am__make_dryrun); then :; else \
988	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
989	  fi; \
990	fi; \
991	if test -n "$$am__remaking_logs"; then \
992	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
993	       "recursion detected" >&2; \
994	elif test -n "$$redo_logs"; then \
995	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
996	fi; \
997	if $(am__make_dryrun); then :; else \
998	  st=0;  \
999	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1000	  for i in $$redo_bases; do \
1001	    test -f $$i.trs && test -r $$i.trs \
1002	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1003	    test -f $$i.log && test -r $$i.log \
1004	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1005	  done; \
1006	  test $$st -eq 0 || exit 1; \
1007	fi
1008	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1009	ws='[ 	]'; \
1010	results=`for b in $$bases; do echo $$b.trs; done`; \
1011	test -n "$$results" || results=/dev/null; \
1012	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1013	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1014	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1015	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1016	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1017	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1018	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1019	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1020	  success=true; \
1021	else \
1022	  success=false; \
1023	fi; \
1024	br='==================='; br=$$br$$br$$br$$br; \
1025	result_count () \
1026	{ \
1027	    if test x"$$1" = x"--maybe-color"; then \
1028	      maybe_colorize=yes; \
1029	    elif test x"$$1" = x"--no-color"; then \
1030	      maybe_colorize=no; \
1031	    else \
1032	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1033	    fi; \
1034	    shift; \
1035	    desc=$$1 count=$$2; \
1036	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1037	      color_start=$$3 color_end=$$std; \
1038	    else \
1039	      color_start= color_end=; \
1040	    fi; \
1041	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1042	}; \
1043	create_testsuite_report () \
1044	{ \
1045	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1046	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1047	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1048	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1049	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1050	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1051	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1052	}; \
1053	{								\
1054	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1055	    $(am__rst_title);						\
1056	  create_testsuite_report --no-color;				\
1057	  echo;								\
1058	  echo ".. contents:: :depth: 2";				\
1059	  echo;								\
1060	  for b in $$bases; do echo $$b; done				\
1061	    | $(am__create_global_log);					\
1062	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1063	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1064	if $$success; then						\
1065	  col="$$grn";							\
1066	 else								\
1067	  col="$$red";							\
1068	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1069	fi;								\
1070	echo "$${col}$$br$${std}"; 					\
1071	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
1072	echo "$${col}$$br$${std}"; 					\
1073	create_testsuite_report --maybe-color;				\
1074	echo "$$col$$br$$std";						\
1075	if $$success; then :; else					\
1076	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1077	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1078	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1079	  fi;								\
1080	  echo "$$col$$br$$std";					\
1081	fi;								\
1082	$$success || exit 1
1083
1084check-TESTS: $(check_PROGRAMS)
1085	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1086	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1087	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1088	@set +e; $(am__set_TESTS_bases); \
1089	log_list=`for i in $$bases; do echo $$i.log; done`; \
1090	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1091	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1092	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1093	exit $$?;
1094recheck: all $(check_PROGRAMS)
1095	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1096	@set +e; $(am__set_TESTS_bases); \
1097	bases=`for i in $$bases; do echo $$i; done \
1098	         | $(am__list_recheck_tests)` || exit 1; \
1099	log_list=`for i in $$bases; do echo $$i.log; done`; \
1100	log_list=`echo $$log_list`; \
1101	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1102	        am__force_recheck=am--force-recheck \
1103	        TEST_LOGS="$$log_list"; \
1104	exit $$?
1105runtests.log: runtests$(EXEEXT)
1106	@p='runtests$(EXEEXT)'; \
1107	b='runtests'; \
1108	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1109	--log-file $$b.log --trs-file $$b.trs \
1110	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1111	"$$tst" $(AM_TESTS_FD_REDIRECT)
1112runtests_cxx.log: runtests_cxx$(EXEEXT)
1113	@p='runtests_cxx$(EXEEXT)'; \
1114	b='runtests_cxx'; \
1115	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1116	--log-file $$b.log --trs-file $$b.trs \
1117	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1118	"$$tst" $(AM_TESTS_FD_REDIRECT)
1119.test.log:
1120	@p='$<'; \
1121	$(am__set_b); \
1122	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1123	--log-file $$b.log --trs-file $$b.trs \
1124	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1125	"$$tst" $(AM_TESTS_FD_REDIRECT)
1126@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1127@am__EXEEXT_TRUE@	@p='$<'; \
1128@am__EXEEXT_TRUE@	$(am__set_b); \
1129@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1130@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1131@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1132@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1133distdir: $(BUILT_SOURCES)
1134	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1135
1136distdir-am: $(DISTFILES)
1137	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1138	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1139	list='$(DISTFILES)'; \
1140	  dist_files=`for file in $$list; do echo $$file; done | \
1141	  sed -e "s|^$$srcdirstrip/||;t" \
1142	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1143	case $$dist_files in \
1144	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1145			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1146			   sort -u` ;; \
1147	esac; \
1148	for file in $$dist_files; do \
1149	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1150	  if test -d $$d/$$file; then \
1151	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1152	    if test -d "$(distdir)/$$file"; then \
1153	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1154	    fi; \
1155	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1156	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1157	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1158	    fi; \
1159	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1160	  else \
1161	    test -f "$(distdir)/$$file" \
1162	    || cp -p $$d/$$file "$(distdir)/$$file" \
1163	    || exit 1; \
1164	  fi; \
1165	done
1166	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1167	  if test "$$subdir" = .; then :; else \
1168	    $(am__make_dryrun) \
1169	      || test -d "$(distdir)/$$subdir" \
1170	      || $(MKDIR_P) "$(distdir)/$$subdir" \
1171	      || exit 1; \
1172	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1173	    $(am__relativize); \
1174	    new_distdir=$$reldir; \
1175	    dir1=$$subdir; dir2="$(top_distdir)"; \
1176	    $(am__relativize); \
1177	    new_top_distdir=$$reldir; \
1178	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1179	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1180	    ($(am__cd) $$subdir && \
1181	      $(MAKE) $(AM_MAKEFLAGS) \
1182	        top_distdir="$$new_top_distdir" \
1183	        distdir="$$new_distdir" \
1184		am__remove_distdir=: \
1185		am__skip_length_check=: \
1186		am__skip_mode_fix=: \
1187	        distdir) \
1188	      || exit 1; \
1189	  fi; \
1190	done
1191check-am: all-am
1192	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1193	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1194check: check-recursive
1195all-am: Makefile
1196installdirs: installdirs-recursive
1197installdirs-am:
1198install: install-recursive
1199install-exec: install-exec-recursive
1200install-data: install-data-recursive
1201uninstall: uninstall-recursive
1202
1203install-am: all-am
1204	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1205
1206installcheck: installcheck-recursive
1207install-strip:
1208	if test -z '$(STRIP)'; then \
1209	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1210	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1211	      install; \
1212	else \
1213	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1214	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1215	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1216	fi
1217mostlyclean-generic:
1218	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1219	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1220	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1221
1222clean-generic:
1223
1224distclean-generic:
1225	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1226	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1227
1228maintainer-clean-generic:
1229	@echo "This command is intended for maintainers to use"
1230	@echo "it deletes files that may require special tools to rebuild."
1231clean: clean-recursive
1232
1233clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1234	mostlyclean-am
1235
1236distclean: distclean-recursive
1237		-rm -f ./$(DEPDIR)/acc_tests.Po
1238	-rm -f ./$(DEPDIR)/acc_tests_cxx.Po
1239	-rm -f ./$(DEPDIR)/alloc_tests.Po
1240	-rm -f ./$(DEPDIR)/alloc_tests_cxx.Po
1241	-rm -f ./$(DEPDIR)/basic_tests.Po
1242	-rm -f ./$(DEPDIR)/basic_tests_cxx.Po
1243	-rm -f ./$(DEPDIR)/chardata.Po
1244	-rm -f ./$(DEPDIR)/chardata_cxx.Po
1245	-rm -f ./$(DEPDIR)/common.Po
1246	-rm -f ./$(DEPDIR)/common_cxx.Po
1247	-rm -f ./$(DEPDIR)/dummy.Po
1248	-rm -f ./$(DEPDIR)/dummy_cxx.Po
1249	-rm -f ./$(DEPDIR)/handlers.Po
1250	-rm -f ./$(DEPDIR)/handlers_cxx.Po
1251	-rm -f ./$(DEPDIR)/memcheck.Po
1252	-rm -f ./$(DEPDIR)/memcheck_cxx.Po
1253	-rm -f ./$(DEPDIR)/minicheck.Po
1254	-rm -f ./$(DEPDIR)/minicheck_cxx.Po
1255	-rm -f ./$(DEPDIR)/misc_tests.Po
1256	-rm -f ./$(DEPDIR)/misc_tests_cxx.Po
1257	-rm -f ./$(DEPDIR)/ns_tests.Po
1258	-rm -f ./$(DEPDIR)/ns_tests_cxx.Po
1259	-rm -f ./$(DEPDIR)/nsalloc_tests.Po
1260	-rm -f ./$(DEPDIR)/nsalloc_tests_cxx.Po
1261	-rm -f ./$(DEPDIR)/runtests.Po
1262	-rm -f ./$(DEPDIR)/runtests_cxx.Po
1263	-rm -f ./$(DEPDIR)/structdata.Po
1264	-rm -f ./$(DEPDIR)/structdata_cxx.Po
1265	-rm -f Makefile
1266distclean-am: clean-am distclean-compile distclean-generic \
1267	distclean-tags
1268
1269dvi: dvi-recursive
1270
1271dvi-am:
1272
1273html: html-recursive
1274
1275html-am:
1276
1277info: info-recursive
1278
1279info-am:
1280
1281install-data-am:
1282
1283install-dvi: install-dvi-recursive
1284
1285install-dvi-am:
1286
1287install-exec-am:
1288
1289install-html: install-html-recursive
1290
1291install-html-am:
1292
1293install-info: install-info-recursive
1294
1295install-info-am:
1296
1297install-man:
1298
1299install-pdf: install-pdf-recursive
1300
1301install-pdf-am:
1302
1303install-ps: install-ps-recursive
1304
1305install-ps-am:
1306
1307installcheck-am:
1308
1309maintainer-clean: maintainer-clean-recursive
1310		-rm -f ./$(DEPDIR)/acc_tests.Po
1311	-rm -f ./$(DEPDIR)/acc_tests_cxx.Po
1312	-rm -f ./$(DEPDIR)/alloc_tests.Po
1313	-rm -f ./$(DEPDIR)/alloc_tests_cxx.Po
1314	-rm -f ./$(DEPDIR)/basic_tests.Po
1315	-rm -f ./$(DEPDIR)/basic_tests_cxx.Po
1316	-rm -f ./$(DEPDIR)/chardata.Po
1317	-rm -f ./$(DEPDIR)/chardata_cxx.Po
1318	-rm -f ./$(DEPDIR)/common.Po
1319	-rm -f ./$(DEPDIR)/common_cxx.Po
1320	-rm -f ./$(DEPDIR)/dummy.Po
1321	-rm -f ./$(DEPDIR)/dummy_cxx.Po
1322	-rm -f ./$(DEPDIR)/handlers.Po
1323	-rm -f ./$(DEPDIR)/handlers_cxx.Po
1324	-rm -f ./$(DEPDIR)/memcheck.Po
1325	-rm -f ./$(DEPDIR)/memcheck_cxx.Po
1326	-rm -f ./$(DEPDIR)/minicheck.Po
1327	-rm -f ./$(DEPDIR)/minicheck_cxx.Po
1328	-rm -f ./$(DEPDIR)/misc_tests.Po
1329	-rm -f ./$(DEPDIR)/misc_tests_cxx.Po
1330	-rm -f ./$(DEPDIR)/ns_tests.Po
1331	-rm -f ./$(DEPDIR)/ns_tests_cxx.Po
1332	-rm -f ./$(DEPDIR)/nsalloc_tests.Po
1333	-rm -f ./$(DEPDIR)/nsalloc_tests_cxx.Po
1334	-rm -f ./$(DEPDIR)/runtests.Po
1335	-rm -f ./$(DEPDIR)/runtests_cxx.Po
1336	-rm -f ./$(DEPDIR)/structdata.Po
1337	-rm -f ./$(DEPDIR)/structdata_cxx.Po
1338	-rm -f Makefile
1339maintainer-clean-am: distclean-am maintainer-clean-generic
1340
1341mostlyclean: mostlyclean-recursive
1342
1343mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1344	mostlyclean-libtool
1345
1346pdf: pdf-recursive
1347
1348pdf-am:
1349
1350ps: ps-recursive
1351
1352ps-am:
1353
1354uninstall-am:
1355
1356.MAKE: $(am__recursive_targets) check-am install-am install-strip
1357
1358.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1359	am--depfiles check check-TESTS check-am clean \
1360	clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1361	ctags ctags-am distclean distclean-compile distclean-generic \
1362	distclean-libtool distclean-tags distdir dvi dvi-am html \
1363	html-am info info-am install install-am install-data \
1364	install-data-am install-dvi install-dvi-am install-exec \
1365	install-exec-am install-html install-html-am install-info \
1366	install-info-am install-man install-pdf install-pdf-am \
1367	install-ps install-ps-am install-strip installcheck \
1368	installcheck-am installdirs installdirs-am maintainer-clean \
1369	maintainer-clean-generic mostlyclean mostlyclean-compile \
1370	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1371	recheck tags tags-am uninstall uninstall-am
1372
1373.PRECIOUS: Makefile
1374
1375
1376# Tell versions [3.59,3.63) of GNU make to not export all variables.
1377# Otherwise a system limit (for SysV at least) may be exceeded.
1378.NOEXPORT:
1379